TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get shard account cell

POST
/api/v2/getShardAccountCell

Get the raw TVM cell containing the shard account.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v2/getShardAccountCell" \  -H "Content-Type: application/json" \  -d '{    "address": "string"  }'
{  "ok": true,  "result": {    "@type": "tvm.cell",    "bytes": "string"  },  "@extra": "string"}